/*
 * FlexiPix config file generator
 *
 * Copyright 2010 Stefan Schuermans <stefan schuermans info>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3 of the License.
 *
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef INC_OBJECT_H
#define INC_OBJECT_H

#include <vector>

#include "box.h"
#include "line.h"

class Object {
public:
  ~Object();
  void getBounds(Box &bounds) const;
  bool isIntersecting(const Line *pLine) const;
  bool getIntersection(const Line *pLine, Point *pIntersect) const;
  bool isIntersecting(const Object *pObject) const;
  bool getIntersection(const Object *pObject, Point *pIntersect) const;
  void add(const Line *pLine);
  void merge(Object *pObject);
  std::vector<const Line *> mLines;
};

#endif // #ifndef INC_OBJECT_H

